<?php
$from = $_POST["from"];
$mac_id = $_POST["maclzjo_idmaclzjo"];
$valor = $_POST["valor"];

$h = "3";
$hm = $h * 60;
$ms = $hm * 60;

$dataleitura = gmdate("Y/m/d", time()-($ms)); 
$horaleitura = gmdate("H:m:sa", time()-($ms)); 

//$dataleitura = date('Y-m-d');
//$horaleitura = date("h:i:sa");

$sensor = $_POST["valor"];

include 'conectabanco.php';

try {
    // Preparando a instrução SQL com segurança (evita SQL Injection)
    $stmt = $conn->prepare("INSERT INTO leituralzjo(maclzjo_idmaclzjo, dataleitura, horaLeitura, valor) 
                            VALUES (:maclzjo_idmaclzjo, :dataleitura, :horaleitura, :valor)");
    
    // Bind dos parâmetros
    $stmt->bindParam(':maclzjo_idmaclzjo', $mac_id);
    $stmt->bindParam(':dataleitura', $dataleitura);
    $stmt->bindParam(':horaleitura', $horaleitura);
    $stmt->bindParam(':valor', $valor);

    // Executa a query
    $stmt->execute();
    
if ($stmt->execute()) {
    $rowCount = $stmt->rowCount();
    echo "Açã,
    o bem-sucedida.";
} else {
    $errorInfo = $stmt->errorInfo();
    echo "Erro: " . $errorInfo[2]; // Mensagem de erro específica do banco de dados
}    

    if ($from!='ESP'){
        echo "<a href='listaleitura.php'>Voltar para a lista de leituras</a>";}
} catch (PDOException $e) {
    echo "Erro ao inserir leitura: " . $e->getMessage();
}

// Fecha a conexão corretamente com PDO
$conn = null;
?>
